package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireSprinklerMapper;
import com.ruoyi.project.patrol.fire.domain.TFireSprinkler;
import com.ruoyi.project.patrol.fire.service.ITFireSprinklerService;

/**
 * 自动喷淋灭火系统检查记录Service业务层处理
 * 
 * @author admin
 * @date 2023-11-01
 */
@Service
public class TFireSprinklerServiceImpl implements ITFireSprinklerService 
{
    @Autowired
    private TFireSprinklerMapper tFireSprinklerMapper;

    /**
     * 查询自动喷淋灭火系统检查记录
     * 
     * @param id 自动喷淋灭火系统检查记录主键
     * @return 自动喷淋灭火系统检查记录
     */
    @Override
    public TFireSprinkler selectTFireSprinklerById(Long id)
    {
        return tFireSprinklerMapper.selectTFireSprinklerById(id);
    }

    /**
     * 查询自动喷淋灭火系统检查记录列表
     * 
     * @param tFireSprinkler 自动喷淋灭火系统检查记录
     * @return 自动喷淋灭火系统检查记录
     */
    @Override
    public List<TFireSprinkler> selectTFireSprinklerList(TFireSprinkler tFireSprinkler)
    {
        return tFireSprinklerMapper.selectTFireSprinklerList(tFireSprinkler);
    }

    /**
     * 新增自动喷淋灭火系统检查记录
     * 
     * @param tFireSprinkler 自动喷淋灭火系统检查记录
     * @return 结果
     */
    @Override
    public int insertTFireSprinkler(TFireSprinkler tFireSprinkler)
    {
        return tFireSprinklerMapper.insertTFireSprinkler(tFireSprinkler);
    }

    /**
     * 修改自动喷淋灭火系统检查记录
     * 
     * @param tFireSprinkler 自动喷淋灭火系统检查记录
     * @return 结果
     */
    @Override
    public int updateTFireSprinkler(TFireSprinkler tFireSprinkler)
    {
        return tFireSprinklerMapper.updateTFireSprinkler(tFireSprinkler);
    }

    /**
     * 批量删除自动喷淋灭火系统检查记录
     * 
     * @param ids 需要删除的自动喷淋灭火系统检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTFireSprinklerByIds(Long[] ids)
    {
        return tFireSprinklerMapper.deleteTFireSprinklerByIds(ids);
    }

    /**
     * 删除自动喷淋灭火系统检查记录信息
     * 
     * @param id 自动喷淋灭火系统检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTFireSprinklerById(Long id)
    {
        return tFireSprinklerMapper.deleteTFireSprinklerById(id);
    }
}
